[Fixed]-No module named 'allauth.account.context_processors'

48👍

This means you have different versions of Allauth in your dev machine and in your server. You should definitely use the same version on both sides.

Into the why of the issue you are hitting on the server, in version 0.22 of django-allauth, the context processors have been replaced by template tags.

You just need to ensure that:

  1. You are running at least Allauth 0.22, which is the latest version as of now (pip install django-allauth==0.22)
  2. No Allauth-specific context processors are listed in your Django project settings. So you need to remove these two lines:
# `allauth` specific context processors
'allauth.account.context_processors.account',
'allauth.socialaccount.context_processors.socialaccount',
👤julen

4👍

This error means that the module could not be found.

You probably just need to install the 3rd party module called allauth on your server (or add it to requirements.txt, if you are using automatic deploys like on Heroku).

pip install django-allauth

You can run pip freeze locally to see which modules are installed.

To install a specific version of django-allauth, use:

pip install django-allauth==0.22.0

1👍

It had problem with allauth 0.22.0, install allauth 0.20.0

pip install django-allauth==0.20.0

0👍

You can run pip freeze locally to see which modules are installed.

To install a specific version of django-allauth, use. It will solve the issue.

pip install django-allauth==0.22.0

Leave a comment